[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Error while installing ATI Radeon proprietory driver fglrx on FC2



This posting is a new perspective on

Re: FC3 continually hanging or crashing machine. . OK
when X not running. OK in FC2

I have had problems (machine freezing / locking up)
running FC3 (kernel 2.6.11) on a noname laptop with an
ATI Radeon Mobility M9 card. Lockup only happened
while X was running - no problems in command-line
mode. No problems running command line or X in FC2
(kernel 2.6.10).

Earlier suggestions and other browsing leaves me at
the point the freeze maybe due to the FC3 ATI video
driver (I have seen this freeze problem on an IBM T21
in the past - and the problem was the video driver)

I downloaded and installed the latest ATI Radeon
drivers from the ATI Website 

No improvement in FC3.

I have removed the Mesa / OPenGL package provided for
Fedora and replaced with the ATI provided package and
I get the problem listed at end "Invalid module
format". 

1. Is the "Invalid module format" problem at the end
of this posting serious?

glxgears runs OK under FC2 / X with this ATI fglrx
package installed.

2. What has changed between FC2 and FC3 that could be
the source of this ATI video problem (assuming it IS a
video problem). Basic video support (I don't know
about testing 3D) seemed fine in FC2. So the problem I
am experiencing in FC3 must be fixable ... No ??

3. Another thing to throw in - but probably unrelated
- and less important to me

The ATI package installs a utility 
(/usr/X11R6/bin/fireglcontrolpanel) on the Control
panel to manage some of the ATI card parameters. When
this is run directly on the linux machine, a dialog
opens up that shows three tabs:

3.1 Information, Dual-Screen, (Gamma Adjustment)

When I select the same "ATI Control" icon from a VNC
session, the window displays the eror rmessage

"Driver does not support X11 FireGL extensions. Panel
components will display only partially"

Then a window appears with two tabs

3.2 An information screen with different (limited)
info from Information in 3.1 above, and , TV Out
control.

Weird !!

Thanks

Clive

**************************************

[root Linux28GHz ~]# apt-get install
xorg-x11-Mesa-libGL
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
  xorg-x11-Mesa-libGL
0 upgraded, 1 newly installed, 0 removed and 66 not
upgraded.
Need to get 377kB of archives.
After unpacking 413kB of additional disk space will be
used.
Get:1 http://apt.atrpms.net fedora/3/en/i386/at-stable
xorg-x11-Mesa-libGL 6.8.2-1.FC3.13_2.rhfc3.at [377kB]
Fetched 377kB in 6s (57.9kB/s)
Committing changes...
Preparing...               
########################################### [100%]
   1:xorg-x11-Mesa-libGL   
########################################### [100%]
Done.

[root Linux28GHz ~]# cd /downloads/Fedora3/ATI\ Linux\
driver/
[root Linux28GHz ATI Linux driver]# ls
ati-driver-installer-8.14.13.run 
fglrx_6_8_0-8.14.13-1.i386.rpm
[root Linux28GHz ATI Linux driver]# rpm -ivh --test
fglrx_6_8_0-8.14.13-1.i386.rpm
Preparing...               
########################################### [100%]
        file /usr/X11R6/lib/libGL.so.1.2 from install
of fglrx_6_8_0-8.14.13-1 conflicts with file from
package xorg-x11-Mesa-libGL-6.8.2-1.FC3.13_2.rhfc3.at
 
[root Linux28GHz ATI Linux driver]# rpm -ev --test
xorg-x11-Mesa-libGL-6.8.2-1.FC3.13_2.rhfc3.at
[root Linux28GHz ATI Linux driver]# rpm -e
xorg-x11-Mesa-libGL-6.8.2-1.FC3.13_2.rhfc3.at
[root Linux28GHz ATI Linux driver]# ls
ati-driver-installer-8.14.13.run 
fglrx_6_8_0-8.14.13-1.i386.rpm
[root Linux28GHz ATI Linux driver]# rpm -ivh --test
fglrx_6_8_0-8.14.13-1.i386.rpm
Preparing...               
########################################### [100%]
[root Linux28GHz ATI Linux driver]# rpm -ivh 
fglrx_6_8_0-8.14.13-1.i386.rpm Preparing...           
    ########################################### [100%]
   1:fglrx_6_8_0           
########################################### [100%]
FATAL: Error inserting fglrx
(/lib/modules/2.6.10-1.771_FC2/kernel/drivers/char/drm/fglrx.ko):
Invalid module format
[root Linux28GHz ATI Linux driver]#



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]